Skip to main content
PUT
/
2026-01
/
marketing-solutions
/
ad-sets
/
{ad-set-id}
/
audience
/2026-01/marketing-solutions/ad-sets/{ad-set-id}/audience
curl --request PUT \
  --url https://api.criteo.com/2026-01/marketing-solutions/ad-sets/{ad-set-id}/audience \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "data": {
    "attributes": {
      "audienceId": "<string>"
    },
    "id": "<string>",
    "type": "<string>"
  }
}
'
{
  "data": {
    "attributes": {
      "audienceId": "<string>"
    },
    "id": "<string>",
    "type": "<string>"
  },
  "errors": [
    {
      "code": "<string>",
      "detail": "<string>",
      "instance": "<string>",
      "source": {},
      "stackTrace": "<string>",
      "title": "<string>",
      "traceId": "<string>",
      "traceIdentifier": "<string>"
    }
  ],
  "warnings": [
    {
      "code": "<string>",
      "detail": "<string>",
      "instance": "<string>",
      "source": {},
      "stackTrace": "<string>",
      "title": "<string>",
      "traceId": "<string>",
      "traceIdentifier": "<string>"
    }
  ]
}

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Path Parameters

ad-set-id
string
required

The ad set ID.

Body

application/json

Ad set-Audience update request.

Input to set audience ad set link.

data
object

A class that represents a domain entity exposed by an API

Response

200 - application/json

Success

A top-level object that encapsulates a Criteo API response for a single entity

data
object

A class that represents a domain entity exposed by an API

errors
object[] | null
read-only
warnings
object[] | null
read-only